Produkt-History (MAXIMAL VERSION)
=================================

Erklärung:
----------
+ Programmerweiterungen
/ Änderungen
- Problem Beseitigung
# SQL-Version
* Modul-Optional

X12.00
======
+	Boards für alle Vorgangsarten, incl. Suche über Vorgänge, Kunden, Mitarbeiter und Positionen in einer Funktion

+	Dokumentenverwaltung in allen Stammdaten kann die Anzeige nun ausgedockt werden  (z.B. auf andere Bildschirme)

+	Artikeldokumente direkt im Auftrag:
         + anzeigen
	 + Drag and Drop direkt zum Artikel und Auftrag hinzu fügen
	 + Dokumente Anzeige ausdocken (z.B. auf andere Bildschirme)

+	Artikelliste beschleunigt: Bilder werden erst bei bedarf geladen nicht schon kurz nach dem Scrollen in der Liste

+	Artikelersatzteile Verwaltung

+	Mitarbeiter/Vertreterauswertung nach Kunden: ermöglicht die Auswertung von Umsätzen und Provisionen nach Kunden, Plz, Gebieten usw. zu gruppieren und zu filtern
 	z.B. alle Umsätze aus Bayern oder Plz gebieten z.B. 36%

+	Einkauf: Artikel Hauptlieferant wird immer als erstes aufgeführt

+	Adressarten: neue Bearbeitung und Liveabgleich aller Änderungen auch für Apps und Web Erweiterungen

+	CRM: Adressart ändern der Adresse (rechte Maustaste)

+ 	Seriennummern und Chargenverwaltung unterstützt nun 250 Zeichen statt 60 Zeichen
+	Seriennummernsuche Fenster vergrößert für lange Seriennummern

+	Reparaturaufträge: Seriennummernsuche direkt in der Form

+	Postenimport (Option): alle Felder der Positionstabelle (auch eigene) stehen nun zum Import zur Verfügung

+ 	Sammelrechnung: Lieferdatum wird nun vom ersten Lieferschein übernommen

+	Kundenspezifische Artikelnummern und Bezeichnungen (Option):
	Bezeichnung 2 ist nun definierbar, diese wird in Feld PGruppe der Posten übernommen und kann somit aufgegeben werden.

+	Vorgangsschnelliste und Kommissionierungen:
	Filterung von Vorgängen nach Kommissionier Status nun via SQL statt via Filter für große Datenmengen
	Kommisionierungstoolbar mit wichtigen Statusänderungen und Statusansichten zum Schnellklicken erweitert

+	BANKING (SEPA): Giro Code wird nun unterstützt: scannen mit der Webcam oder mit einem QR-Codescanner


+	Factory: Summenstückliste über alle Ebenen
+	Factory: Dokumentenansicht pro Arbeitsschritt und Stücklisten Position
+	Factory: Dokumentenansicht(new) ergänzen von Dokumenten wie bei anderen Aufträgen (abschaltbar via Regel 211)

+	Geräteverwaltung: neue Funktionen in der Recherche -> öffnen des Geräte
+	Geräteverwaltung: neue Funktionen in der Recherche -> Spalteneditor in den Vorgängen der Recherche

+	Mailversand: mehrere Mails mit , oder ; getrennt werden nicht mehr als Fehlerhalft Mails gemeldet
+	Mailversand: Mailadressen mit Spaces werden nicht mehr als Fehlerhalft Mails gemeldet

+	Gastro: Ausserhaus und Inhouse Button getauscht

+	Auswertungen: kann nun alle via FOR Formular Erstellte Exportdateien mailen an definierte Mailadressen

+	Neues Recht: 151 -> Dokumente löschen

+	Neues Recht: 152 -> eigene Verknüpfungen bearbeiten

+	Neues Recht: 153 -> Ersatzteile bearbeiten

+	Neues Recht: 154 -> Zubehör bearbeiten


+	Regel 210: Rabatte und Preise werden von Shop Bestellungen übernommen; ERP-Einstellungen werden ignoriert
		   (Rabatte sperren; Kundenrabatte; Kundensonderpreise werden nicht berücksichtigt)

+	Regel 211: keine Dokumentenablage in Fertigungsaufträgen (neue Funktionen abschalten)

+	Regel 212: Postenimport; nicht gefundene Artikel NICHT als freie Position anlegen

+	Regel 213: Sammelrechnung das Feld BE_LI_AB wird nicht mehr überschrieben mit dem Ursprings AuftragID

+	Regel 214: keine Preisaktualisierung nach QRCODE Scan (AB in LI überführen nach Produktion

+	Regel 215: E-Rechnung Mandanten 2. und 3. Firmen Zeile mit Ausgaben in der X-Rechnung und ZUGFReD

+	Regel 216: Bestellgruppen werden bei Ausgabe zu für jeden Lieferant ein einzelner Vorgang erzeugt


X11.53
======
+	automatischer Shop Import: kommt nun mit Shop Bestellungen klar, die keine Mail Adresse haben: Neuanlage wenn keine Kundennr gesendet wurde

-	Tabelleneditor: bearbeiten mit Gruppensummen verbessert

X11.52
======
+	E-Rechnung: es werden nun vom Rechnungsersteller (Mandanten) Firma2 und Firma 3 ausgegeben, wenn diese gefüllt sind
+	Anbindung Ticketsystem: Buchungen von Seriennummern/Chargennummern, die mit dem Ticketsystem verbucht wurden bei Belegübergabe

+	E-Rechnung: Stücklisten und Sammelunterartikel werden nun unterstützt
-	Problem im Preisfeld konnte zum Absturz führen

+	DSFINV-K Export index.xml auf aktuellen Stand gebracht (Datentypen, Nachkommastellen)


X11.51
======
+	ZUGFeRD Erweitert:
	+ Ausgabe von Firma 2
	+ Länderunterstützung für NICHT EU Länder (ohne EG-ID)
	+ Lieferadresse wird nun immer Ausgegeben ggf. Rechnungsadresse
	+ Vortext wird ausgegeben
	+ Nachtext wird ausgegeben
	+ Artikel EANNummer wird ausgegeben falls vorhanden
	+ Kundenartikelnummer wird ausgegeben, wenn Artikelnr und Bestellnr abweichen
	+ Ausgabe von Registergericht und Handelgeristernummer
	
	+ Alle Warnungen von validool.org beseitigt

+ 	Optionale xmp wird auf Wunsch in die ZUGFeRD PDF mit eingebunden (Allgemeine Einstellungen)
	+ Alle Warnungen von mustangproject.org damit beseitigt

+	Import von Vorgängen via MDE_KOPF: doppelt Übertragungen werden nun abgefangen via AUFTRAGUID
	(Synco)
+	Shopimport unterstützt nun auch Seriennummern: 
	###POS_SN:
	mehrere SN's mit ; Trennen: ###POS_SN:123;124;125


X11.50
======
+ 	Vorgangsverwaltung: Abteilung für Auswertungen nun im Vorgang enthalten und aus Mitarbeiter übernommen. 
	Die Abteilungen können vorgegeben werden in der Datei Auftrag_ABTEILUNG.TXT, die im Programmverzeichnis sein muss.

+	Automatismen beim Vorgangsdruck: STARTENBEIMDRUCK.CFG
        in der Datei muss in der 1. Zeile das zu startende Programm stehen.
	Als Parameter werden folgende Daten übergeben:
	-1. PARAMETER AUFTRAGS ID
	-2. PARAMETER AUFTRAGS ART
	-3. PARAMETER Vorgangsnummer

+	Artikel Kostenstelle 1 und für den gleichen Artikel ist Kostenstelle 2 angebbar und der EUR Betrag der auf Kostenstelle 1
	veranlagt wird, der Restbetrag wird auf Kostenstelle 2 veranlagt.

+	neue Option Kostenstelle auf den Kassen Bericht ausgeben

+	Artikel 2. Erlöskonto und ein EUR Betrag für das 1. Erlöskonto angebbar, der Restbetrag wird auf Erlöskonto 2 veranlagt.

+	Banking Import: bei manueller Auswahl der Vorgänge können via Mehrfachauswahl mehrere Vorgänge in einer Auswahl ausgewählt werden





X11.20
======
+	ZUGFeRD Ausgabe auf den neuesten Stand upgedatet
+	X-Rechnung Ausgabe auf den neuesten Stand upgedatet

+	E-Rechnung nun verfügbar für die Auftragsarten: Rechnung, Rechnungskorrektur, Quittung, Gutschrift und Abschlagsrechnung incl. Abschläge
+	E-Rechnung in der Kasse verfügbar: Vorrausetzung Online BON, Kunden mit zugügl.MwSt Einstellung
+	E-Rechnung Import verbessert und erweitert Mengen Einheiten werden besser unterstützt

+	Banking Import: Benutzung der neuen Verwendungszeck Felder

+	Ticketsystemabrechnung: Preis wird ermittelt, wenn dieser LEER ist und bei 0 und <> 0 wird der Preis vom Ticketsystem übernommen

+	Online Bon:  neue Version mit neuster Sicherheitsanpassung (SSL)

X11.10
======
+	E-Rechnungsimport neuere MSSQL Server bei denen keine SSL Verbindung aufgebaut werden kann, werden nun auch akzeptiert
+	E-Rechnungsimport: Preiseinheit wird nun unterstützt
/	Auftragsbearbeitung, das Feld GPREIS wird nun bei Eingabe des Preises und des Rabatts schon währen des Erfassen gefüllt.
+	CLOUD TSE Verbessert (Anmeldung der Kasse an der TSE, weitere Verbesserungen)

+	Neues Recht: 147 Dashboard Factory Etiketten drucken

+	Factory: Fertigungsauftrag mit Stücklisten über mehrere Ebenen, fragt nur noch einmal nach, wenn
  	eine Mengenänderung in der Stückliste, die Unterstücklisten hat, durchgeführt wird.
 	(Baugruppenfertigung)

X11.09
======
+	PDF Titel entspricht nun dem erzeugten Dateinamen (z.B. für den Angebotsmanager, DMS, usw.)
+	E-Rechnungsimport: separate Zusatzkosten werden nun im Feld Port gespeichert (Versand, Maut, usw.)
-	E-Rechnungsausgabe: Sammelunterartikel und Stücklistenartikel verbessert
+	EDI Erweitert, andere Art der Seriennummern Übergabe erweitert
/       Sammelrechnung und Zusammenfassung einen Lieferscheintext pro Lieferschein wird nun als freie Position angelegt, da sonst kein Drucker mehr erlaubt ist (Sicherheitsfunktion der X11)
/       Regel 197 verbessert

X11.08
======
+	DateV Unternehmen Online Schnittstelle wenn sehr viele PDFs erzeugt werden, verbessert
/	Vorlagen verbessert

+	neue Regel 207: Angebot immer via Angebotsmanager versenden




X11.07
======
+	E-Rechnungsimport: X-Rechnung 3.0.1 mehrfach Seriennummern einer Position und Chargennr werden nun unterstützt
+	E-Rechnungsimport: Lieferant wird nun aufgrund der E-Mailadresse gefunden
+	E-Rechnungsimport: alle Angaben werden nun "getrimmt" falls die andere Software "Müll" sendet



X11.06
======
+	E-Rechnungsimport: X-Rechnung 3.0.1 unterstützen nun den Import von Seriennummern
+	E-Rechnungsimport: Rabattproblem gelöst (JTL-falsches ZUGFeRD Format Import)
/	E-Rechnungsausgabe: Rundungsprobleme bei kleinen Preisen und Gesamtrabatt gelöst	



X11.05
======
/	MSSQL E-Rechnungsimport bei nicht dbo Usern konnte Probleme machen EXE und RechnungsImport.dll tauschen

X11.04
======
-	grosse ZUGFeRD XML konnten nicht archiviert werden: keine Ausgabe
+	Auswertung: hier Jahre in Auswahlbox ergänzt: 2024-2029

+	neue Regel 206: Produktionsvorgang -> alle Artikel anzeigen nicht nur Fertigungsartikel
	

X11.03
======
+	NEU SHOPIMPORT FELDER:
	 ###ADR_UID: 		Adress UID
	 ###PARTNER_UID:  	Ansprechpartner UID
         ###POS_EINHEIT:	Verpackungseinheit mit Faktorenberechnung (Displays)

/	Stellplatzverwaltung: zeigt nun immer alles an, nicht nur 100
/	Verbesserung bei Paramater -AWAUS bei sehr vielen eigenen Auswertungen
 	

X11.02
======
+	neue Regel 205 keine Sicherheitsüberwachung der Artikelart
	(Kompatible mit historischen Sonderprogrammierung Maskeneditor und "missbrauch" der Artikelarten [nur ein Artikel ist auch ein Artikel und keine freie Position oder sonst was])

+	X-Rechnung X3.0.1 verlangt IMMER eine Postentext, ist der leer wird diese mit einem Zeichen gefüllt, damit das Prüftool keinen Fehler wirft.

X11.01
======
/	Stellplatzverwaltung: Inventurausgabe gibt alle Stellplätze aus, nicht nur 100

X11.00
======
+	OpenAI (CHAT-GPT) Anbindung: Rechtschreibprüfung, Übersetzen in beliebigen Sprachen, Erzeugen von Texten, Erzeugen von Berichten
+	E-Rechnung importieren: Import von ZUGFeRD ab V2.1 und X-Rechnung ab V2.1
+	DUNS Support: Internationale eindeutige Firmennummer um Kunden eindeutig zu identifizieren
+	Verbesserte Suchen bei Kunden, Lieferanten, Interessenten, Artikel, Dienstleistungen und Fertigungsartikel
        (einfügen via Zwischenablage startet die Suche nun automatisch)
+	CRM: Bemerkung + Notiz sind bei höheren Bildschirmbreiten bei allen Karteikarten sichtbar, bei kleineren Auflösungen nur in der Liste (wie bisher)
+	Erweiterung von Vorgangsliste, Geräteverwaltung und Projektverwaltung: Benutzer gewünschte Felder erweiterbar in der Listendarstellung
	+ Adressfelder:  TBL_Kunde_USERFIELDS.txt Zeile für Zeile die gewünschten Feldnamen
	+ Artikelfelder: TBL_Artikel_USERFIELDS.txt Zeile für Zeile die gewünschten Feldnamen
	+ Projektfelder: TBL_Projekt_USERFIELDS.txt Zeile für Zeile die gewünschten Feldnamen

+	Auswertungen: neues Berechtigungssystem, in dem man pro Auswertung Mitarbeiter bzw. Mitarbeitergruppen berechtigen bzw. Abschalten kann
+	Massenselektionen in Auswertungen (rechte Maustaste)

+	automatischer Auswertungsversand via -AWAUS; 365 (letzten 365 Tage), JAHRBIS (vom 01.01 bis zu Tagesdatum) bei Versand vor 11 Uhr ein Tag davor
        Beispiel:
         C:\AFS-Software\AFS-Manager\AFS_Kaufmann.exe -AWAUS "Mailen_Umsatzauswertung" SENDEN GESTERN
         C:\AFS-Software\AFS-Manager\AFS_Kaufmann.exe -AWAUS "Mailen_Umsatzauswertung" SENDEN JAHRBIS
         C:\AFS-Software\AFS-Manager\AFS_Kaufmann.exe -AWAUS "Mailen_Umsatzauswertung" SENDEN 365

+	ZUGFeRD V2.3: Namenanpassung factur-x.xml zum internationalen Standard

+	Erhöhung der Sicherheit: Postenarten Änderung nur bei gleicher Logik: z.B. aus Text kann kein Artikel mehr werden (Umgehung von Berechtigungen)
+	Erhöhung der Sicherheit: Lieferarten können nicht mehr frei eingegeben werden nur noch Auswahl oder vorhandene Inhalte (aus Onlineshop, usw.)

+	Auftrag Abweichende Lieferanschrift: das Land wird nun auch aus der Länderdatenbank entnommen, anstatt aus der LAND.TXT (historische Gründe)

+	Filialsystem: Warengruppen Druckerzuordnung kann aus der zentral Übertragung genommen werden, wenn lokale Einstellung andere als in der Zentrale sind

+	Import von Stücklisten, Verkettungen, Optionen und Produktionsstücklisten Feld POS importierbar
+	Import von Positionen (Modul): Feld POS importierbar
+	Import Fertigungsauftrag: Feld POS importierbar


+	neue Regel 204: Inventurvorgang via externe Geräte (MDE_KOPF/Posten) auch bei keiner Differenz anlegen (Dokumentation der Zählung)

+	neue Rechte für Auswertungen
	116	Umsatzstatistik
	117	Berichte
	118	Journale
	119	Mitarbeiterauswertungen
	120	Artikelauswertungen
	121	Auswertungen
	122	Adressumsatzauswertungen
	123	Umsatz nach Uhrzeit
	124	Auswertungsassistent
	125	X-Berichte
	126	Z-Berichte
	127	Z-Berichts History
	128	Kassenbericht (zeitabhängig)
	129	Kassen Artikelverkaufsauswertung
	130	Kassen Warengruppenauswertung
	131	Kassen Umsatz nach Uhrzeit
	132	Seriennummern suchen
	133	Umsatzanzeige der Adressen neu berechnen

+	neue Rechte für Fertigung (Factory)
	134	Fertigungsaufträge
	135	Fertigungsplanung
	136	Fertigungsbedarf
	137	Bestellwesen  (Fertigung)
	138	Fertigungsartikel
	139	Warengruppen  (Fertigung)
	140	Produktgruppen  (Fertigung)
	141	Kostenstellen  (Fertigung)
	142	Werkstoff  (Fertigung)
	143	weitere Stammdaten (Fertigung)
	144	Ressourcen  (Fertigung)




X10.52
======
+	Dokumentenverwaltung: wechseln der Stammdaten (Artikel, Adressen), werden bei neuen Verknüpfungen richtig gesetzt (bisher Karteikarten umschalten Liste -> Dokuverwaltung)
+	Dokumentenverwaltung: Ablagen Einstellungen verbessert, wenn Archiv angeschaltet ist werden alle Dateiarten Archiviert
+       Filialsystem und aktiver Livebestand hier wird entsprechend die Funktion eingeblendet, auch wenn keine Lagerinfo vorhanden ist
+       Kontoauszug Import: Spalten verbreitert
 
-	Shop Import: alle Felder werden zurückgesetzt hier konnte es bei nicht ausgefüllten Sonderfeldern zur Übertragung in die nächste Bestellung kommen, wenn keine Angaben gemacht wurden 
-	Recherche in der Geräteverwaltung über Adressen, Artikel  und Projekte mittels Suche verbessert

X10.51
======
+	Erweiterung der STRG+ALT+L Wareneingangs und Ausgangsbuchung aus angeschlossen APPs und Packtisch
+	Externe Datenbanken können nun in das Dashboard mit angebunden werden wenn diese auf MariaDB laufen
+	Regel 186 (alle PDF Rechnung als ZUGFeRD) verbessert, das diese nur auf B2B Rechnungen angewendet wird

X10.50
======
+	Anbindung an Microsoft 365
+	Anbindung an Dokumentensystem
+	X-Rechnung V2.3 Support
+	ZUGFeRD V2.3 Support

+	STRG+ALT+L Wareneingangs und Ausgangsbuchung kann nun auf alle Vorgangsarten angewendet werden (z.B. Rechnung Teilfortführung zur Rechnungskorrektur)

+	AFS-Basic: alle Dokumente von einem Auftrag in einen anderen Kopieren: APPFUNC("AUFDOCCOPY:QUELLID~ZIELID")

+	neues Recht 115: Externe Preislisten einstellen (zusätzlich zur allgemeinen Einstellung)

+	neue Regel 192: Bei VK Aktualisierung im Auftrag keine EK's aktualisieren
+	neue Regel 193: Bei VK Aktualisierung im Auftrag keine Rabatte aktualisieren
+	neue Regel 194: Bei VK Hinterlegung -> mit Adresshinterlegung verstärkt überwachen
+	neue Regel 195: Bei abweichen VK kein Preis hinterlegt ist VK1 benutzen
+	neue Regel 196: Bei abweichen VK kein Rabatt ziehen
+	neue Regel 197: in der Kasse: bei abweichenden VK kein Rabatt ermöglichen
+	neue Regel 198: in der Kasse: keine Artikelhinweis (Warnung) Anzeigen
+	neue Regel 199: bei Erzeugung von Bestellungen aus Aufträgen alle Dokumente in die Bestellung kopieren
+	neue Regel 200: Preis aus Eingangsrechnungen wird im Artikel Lieferant automatisch hinterlegt bzw. geändert
+	neue Regel 201: Preis aus Eingangsrechnungen wird im Artikel als EK hinterlegt
+	neue Regel 202: geänderter Preis aus Eingangsrechnungen wird automatisch im Artikel VKx angepasst mit gleicher Spanne (nur wenn Regel 201 aktiv ist)
+	neue Regel 203: Bestellnummer von AB usw. in Bestellung übernehmen


+	Neue interne Variable BANKCONNECTION gibt den Connectionstring zum AFS-Banking zurück z.B.: für das interne DashBoard {BANKCONNECTION}



AFS(R),AFS-Software(R),AFS-Manager(R),AFS-Kaufmann(R),AFS-Kasse(R),AFS-Buchhalter(R)
sind eingetragene Warenzeichen der Firma AFS-Software GmbH & Co.KG D-36251 Bad Hersfeld


